summaryrefslogtreecommitdiff
path: root/tcwg_gnu-build.sh
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-08-19 16:22:16 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-08-19 16:22:16 +0000
commit410d3286a2b26ea02ef6e0898733e815320d3bac (patch)
treee601ddaca338f1d346efb89e6d378bf75bd7e0d1 /tcwg_gnu-build.sh
parent627487ade50632976b176ddebdd5fa9863c30b2d (diff)
tcwg_gnu-build.sh: Fix ERRORs creeping into flaky XFAILs
Change-Id: I2a4ae612f9e807e3b5ffedd47f849b338ecd244f
Diffstat (limited to 'tcwg_gnu-build.sh')
-rwxr-xr-xtcwg_gnu-build.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/tcwg_gnu-build.sh b/tcwg_gnu-build.sh
index e87b6f29..ac9cda79 100755
--- a/tcwg_gnu-build.sh
+++ b/tcwg_gnu-build.sh
@@ -145,10 +145,16 @@ no_regression_p ()
fi
local ignore_ERRORs_opt=""
- if [ ${#runtestflags[@]} != 0 ]; then
+ if [ ${#runtestflags[@]} != 0 ] \
+ || { [ x"${rr[mode]}" = x"baseline" ] \
+ && [ x"${rr[update_baseline]}" = x"push" ]; }; then
# We are running a subset of the testsuite, which might generate
# ERRORs in GCC testsuites that will have no tests to run --
# ignore these ERRORs, because they are unstable from run to run.
+ #
+ # Also, we must ignore ERRORs during bisection baseline runs
+ # (rr[mode]=baseline, rr[update_baseline]=push) so that ERRORs
+ # don't creep into automatically-generated flaky XFAILs.
ignore_ERRORs_opt="--ignore_ERRORs"
fi